Option Manager Get Supported Option

Option Manager Get Supported Option
A list of supported key/value pair options including their type information.

A list of supported key/value pair options including their type information.

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/OptionManager/{moId}/supportedOption
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case OptionManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "label": "string",
        "summary": "string",
        "key": "string",
        "optionType": {
            "_typeName": "string",
            "valueIsReadonly": false
        }
    }
]
array of object
Optional

Describes a user-defined option.

The name of each option is identified by the "key" property, inherited from the ElementDescription data object type. You can indicate the property's position in a hierarchy by using a dot-separated notation. The string preceding the first dot is the top of the hierarchy. The hierarchy descends to a new sublevel with each dot. For example, "Ethernet.NetworkConnection.Bridged".


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/OptionManager/{moId}/supportedOption